hpithres(1)

NAME
hpithres - This sample openhpi application interactively displays sensors and sensor info.

SYNOPSIS
 hpithres [-D nn] [-N host[:port]] [-C <cfgfile>] [-X] [-h]
 hpithres [--domain=nn] [--host=host[:port]] [--cfgfile=file] [--debug] [--help]

DESCRIPTION
hpithres interactively displays sensor info for resources with Sensor Capability. Resources, sensors,and sensor info can be individually selected.

If no domain or host is selected, hpithres uses the default domain as specified in the openhpiclient.conf file.

OPTIONS

  Help Options:

-h, --help
    Show help options

  Application Options:

-D nn, --domain=nn
    Select domain id nn

-X, --debug
    Display debug messages

-N "host[:port]", --host="host[:port]"
    Open session to the domain served by the daemon at the specified URL (host:port). This option overrides the OPENHPI_DAEMON_HOST and OPENHPI_DAEMON_PORT environment variables. If host contains ':' (for example IPv6 address) then enclose it in square brackets. For example: "[::1]" or "[::1]:4743".

-C "file", --cfgfile="file"
    Use passed file as client configuration file. This option overrides the OPENHPICLIENT_CONF environment variable.

SEE ALSO
         hpi_shell
         hpialarms      hpifan         hpipower       hpitop
         hpidomain      hpigensimdata  hpireset       hpitree
         hpiel          hpiiinv        hpisensor      hpiwdt
         hpievents      hpionIBMblade  hpisettime     hpixml
         ohdomainlist   ohhandler      ohparam

AUTHORS
Authors of this man page:

 Peter D Phan (pdphan@users.sourceforge.net)
 Ulrich Kleber (ulikleber@users.sourceforge.net)
 Anton Pak (avpak@users.sourceforge.net)